Uploaded image for project: 'Couchbase Gateway'
  1. Couchbase Gateway
  2. CBG-949

Improve error when non-upgradable HTTP request is sent to _blipsync endpoint

    XMLWordPrintable

Details

    • Improvement
    • Status: Closed
    • Critical
    • Resolution: Fixed
    • None
    • 3.0
    • SyncGateway
    • Security Level: Public
    • None
    • CBG Sprint 54
    • 2

    Description

      When a non-upgradable plain HTTP request is sent to /_blipsync, a request panic occurs, and it's not exactly clear to the user what the reason is.

      An easy way to trigger this, is to visit the /_blipsync endpoint via a web browser. But the issue can also be seen via CBL 2.x if connecting through a non-websocket compatible proxy.

       

      This is inherent to the Go websocket implementation, but it can be caught earlier in handleBlipsync in order to respond with a more sensible status code and error message.

      https://github.com/couchbase/sync_gateway/issues/4651

      Attachments

        No reviews matched the request. Check your Options in the drop-down menu of this sections header.

        Activity

          There are no commits yet on this issue.

          People

            sarath.kumarsivan Sarath Kumar Sivan (Inactive)
            ben.brooks Ben Brooks
            Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved:

              Gerrit Reviews

                There are no open Gerrit changes

                PagerDuty